﻿using UnityEngine;

// Rigidbody2DのGravityScaleがデフォルトの1だと、軽すぎて飛んで行ってしまう。
public class Enemy : MonoBehaviour
{
	public float actionTime = 1.0f;
	public Vector2 force = new Vector2 (0f, 900f);

	float startTime;
	bool isRendered;
	Rigidbody2D myRigidbody2D;

	void Start ()
	{
		startTime = Time.time;
		myRigidbody2D = GetComponent<Rigidbody2D> ();
	}

	void Update ()
	{
		if (isRendered && Time.time >= startTime + actionTime) {
			myRigidbody2D.AddForce (force);
			startTime = Time.time;
		}
	}

	void OnCollisionEnter2D (Collision2D collision2D)
	{
		if (collision2D.gameObject.CompareTag ("Player")) {
			collision2D.gameObject.GetComponent<Player> ().TakeDamage ();
			//Destroy (collision2D.gameObject);
		}
	}

	// カメラに表示されたら
	void OnWillRenderObject ()
	{
		if (Camera.current.tag == "MainCamera") {
			isRendered = true;
		}
	}
}
